Subject: Re: More thoughts on the Proto process

From: Allison Mankin <[email-masked]>
Date: Fri, 30 Mar 2007 06:55:00 -0700

Hi, Adrian,

I wasn't able to be in Prague.  Sounds like it was a good discussion.

> 
> Further to the WG lunch in Prague (thanks Margaret) I wanted to add/clarify 
> a couple of points.
> 
> 1. Understanding the status of the I-Ds you are shepherding
> The tendency is to look at your WG I-Ds in the status tracker at 
> https://datatracker.ietf.org/public/pidtracker.cgi
> This is good because it gives you the flow of event, but it is not so clear 
> what the current status is.
> But there is a link at the top of the details page for each I-D to "IESG 
> Evaluation Record" and the table there shows you the current status.
> Maybe finding this is obvious to most of you, but it wasn't to me.

There's a very nice way to find your WG I-D's details.  Go to
tools.ietf.org/wg/<yourwg>

Next to any document under the field IESG Processing, there's an active
link with an Tracker State.  If you click on the status, it brings you
straight to the tracker.  Press the DETAIL button to the left of
the i-d name in there, and you get to page with the Discusses, ballot etc.

> 
> 2. Should the shepherd be explicitly not an author or editor?
> I am puzzled by this restriction.
> AFAICS the shepherd's job is entirely administrative and editorial with the 
> only subjectivity present in the Proto Write-up.
> As agreed at the lunch, the Proto Write-up should be posted to the WG 
> mailing list.
> So what is the issue?

Subjectivity is not only possible during the Proto Write-up but also 
during handling questions of whether an AD Evaluation or Discuss
resolution is substantive and goes to Consensus call or not.  This is viewed 
as more the purview of the WG Chair, who has been handling Consensus, rather
than the author / editor, who has been recording it.

I strongly agree with you that all the discussions should be on the
mailing list anyway, so it might seem to be moot, but it's still a division
of the roles because of whose attention is engaged.

> 
> 3. Tracking Discuss and Comment resolution
> IM(NS)HO it is critical that the agreed resolution of Discusses and Comments 
> is recorded. It is not enough to know that everyone has agreed that the 
> updated I-D is OK and contains the resolution, and that the Discusses have 
> been withdrawn. We MUST have a record of what the resolution was.
> It was suggested that once the Proto Shepherds have write access to the I-D 
> Tracker this will be OK, and that is fine. But until then, can the ADs who 
> raise Discusses or Comments also please take responsibility for adding notes 
> to the Tracker to document the resolution, not just the fact of the 
> resolution.

YES - this should happen!

> 
> 4. Copying the Shepherd on all email related to the I-D
> One for the Tools Team, and for coordination with IANA and the RFC Editor.
> At the moment I don't think the shepherd gets copied on emails from IANA to 
> the document editor, or from the RFC Editor (for example AUTH48).

THIS really needs to happen.  This can happen if IANA and RFC Editor continue
to remember to cc <nameofwg>[email-masked] on all the correspondence
on a document, because one of the chairs will be the Shepherd.
> 
> 5. Working out who the shepherd is for an I-D
> I think someone said that you can work this out from the I-D Tracker.
> I can't find this anywhere obvious.
> I can see "Responsible AD" on the Tracker page that lists all of the I-Ds 
> for a WG and on the details page for each I-D.
> I can see comments like "Shepherding AD has been changed to Ross Callon from 
> Alex Zinin" in the details for a specific I-D in the Tracker.
> There doesn't seem to be anything in the IESG evaluation record.
> Needs to be fixed.

It may be implied, but I think Henrik and I ended up forgetting the
explicit field for which Chair is the Document Shepherd in:

draft-ietf-proto-wgchair-tracker-ext

This can be remedied.  Good reminder.

Allison